<!doctype html>
<html>
  <head>
    <title>W3.CSS Template</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="icon" href="/favicon.svg" type="image/svg+xml" />
    <link rel="stylesheet" href="/style.css" type="text/css" />
  </head>
  <style>
    .flex-wrapper {
      display: flex;
      min-height: 100vh;
      flex-direction: column;
      justify-content: space-between;
    }
  </style>
  <body>
    <div class="flex-wrapper">
      <div>
        <header class="w3-center w3-full w3-container w3-padding">
          <h4>Florians</h4>
          <h1 class="w3-xxxlarge">Temperatursensor 9000</h1>
            Version
            <!--firmware_version-->
        </header>

        <div
          class="w3-content w3-margin-top w3-card-4 w3-padding-large w3-theme w3-animate-bottom"
        >
          <h2>Wifi Configuration</h2>
          <form action="/wifi">
            <div class="w3-dropdown-hover">
              <div class="w3-button">WLAN Netzwerk auswählen &#9207;</div>
              <div class="w3-dropdown-content w3-bar-block">
                <!--ssids-->
              </div>
            </div>

            <div class="w3-section">
              <input
                id="ssid"
                name="ssid"
                class="w3-input"
                type="text"
                required
              />
              <label>Ausgewähltes WLAN Network</label>
            </div>
            <div class="w3-section">
              <input
                class="w3-input"
                id="password"
                name="password"
                type="password"
              />
              <label>Password</label>
            </div>
            <div class="w3-section w3-center">
              <input
                class="w3-button w3-theme-dark"
                type="submit"
                value="Speichern"
              />
            </div>
          </form>
        </div>

        <div
          class="w3-content w3-margin-top w3-card-4 w3-padding-large w3-theme w3-animate-bottom"
        >
          <p>
            Erhalte die Push Nachrichten in <a href="https://ntfy.sh/">ntfy</a>.
            Installiere die App und subscribe zum Topic
            <em>florian_temperatur_sensor</em>.
          </p>
        </div>
      </div>

      <footer class="w3-container w3-padding-large">
        <h3>Sunomi Embedded Devices</h3>
        <p>
          Powered by
          <a href="https://www.w3schools.com/w3css/default.asp" target="_blank"
            >w3.css</a
          >
        </p>
      </footer>
    </div>
  </body>
  <script>
    function fillSsid(input) {
      document.getElementById("ssid").value = input;
    }
  </script>
</html>
